import { ButtonOne, DownloadLink } from "./Buttons"
import { H2 } from "./Headings"


export function PDF({link, name}: {link: string, name:string}){
    return(
        <div className='row align-items-center'>
                <iframe src={link} width="100%" title="title" className='one-pdf-line small-i'>
                </iframe>
                <div className='row download-col'>
                <DownloadLink url={link} fileName={name} ></DownloadLink>
                </div>
            </div>
    )
}
export function TwoLinePDF({link, name}: {link: string, name:string}){
    return(
        <div className='row align-items-center'>
                <iframe src={link} width="100%" title="title" className='two-pdf-line small-i'>
                </iframe>
                <div className='row download-col'>
                <DownloadLink url={link} fileName={name} ></DownloadLink>
                </div>
            </div>
    )
}
export default function BFHpdf(){
    return(
    <>
        <H2 text="PDF for Download" id="pdfH"></H2>
        <div className="row align-items-center" style={{marginTop: "5vh", marginBottom: "5vh"}}>
          <div className="col">
            <ButtonOne text="Flyers" open="flyers"></ButtonOne>
          </div>
          <div className="col">
            <ButtonOne text="Presentations" open="presis"></ButtonOne>
          </div>
          <div className="col">
            <ButtonOne text="Judging Form" open="form"></ButtonOne>
          </div>
        </div> 
        <div className="col cycletab" id="flyers" style={{display: "block"}}>
            <div className='row align-items-center'>
                <div className='col  '>
                <TwoLinePDF link='https://static.igem.wiki/teams/5247/pdfs/bfh-flyer-european-meetup.pdf' name="bfh-flyer-european-meetup.pdf"/>
                </div>
                <div className='seperator-2 col-2'>
                </div>
                <div className='col  '>
                <TwoLinePDF link='https://static.igem.wiki/teams/5247/pdfs/postbfh-brosch-re-compressed.pdf' name="bfh-meet-up-guideline.pdf"/>
                </div>
            </div>
        </div>
        <div className="col cycletab" id="presis" style={{display: "none"}}>
            <div className='row align-items-center'>
                <div className='col'>
                    <TwoLinePDF link='https://static.igem.wiki/teams/5247/pdfs/bfh-presentation-bielefeld.pdf' name="bfh-flyer-european-meetup.pdf"/>
                </div>
                <div className='seperator-2 col-2'>
                </div>
                <div className='col'>
                    <TwoLinePDF link='https://static.igem.wiki/teams/5247/pdfs/bfh-studicom-presentation.pdf' name="bfh-flyer-european-meetup.pdf"/>
                </div>
{/*                 <div className='col'>
                    <PDF link='https://static.igem.wiki/teams/5247/pdfs/bfh-poster-bielefeld.pdf' name="bfh-meet-up-guideline.pdf"/>
                </div> */}
            </div>
        </div>
        <div className="col cycletab" id="form" style={{display: "none"}}>

        </div>
       
        
    </>
    )
}

export function GuidePDF(){
    return(
        <div className='col'>
            <PDF link='https://static.igem.wiki/teams/5247/pdfs/bfh-meet-up-guideline.pdf' name="bfh-meet-up-guideline.pdf"/>
            </div>
    )
}